import pytest
from service.kg_node_service import KGNodeService
from model.kg_node import KGNode
from sqlalchemy.exc import IntegrityError

@pytest.fixture(scope="module")
def kg_node_service():
    from db.session import get_db
    return KGNodeService(next(get_db()))

@pytest.fixture
def test_node_data():
    return {
        "name": "测试节点",
        "category": "测试类别",
        "version": "1.0"
    }


class TestPaginatedSearch:
    def test_paginated_search(self, kg_node_service, test_node_data):
        results = kg_node_service.paginated_search({
            'keyword': '咳嗽',
            'pageNo': 1,
            'limit': 10
        })
        print(results)
        assert len(results['records']) > 0
        assert results['pagination']['pageNo'] == 1
